package com.ruoyi.project.pssr.mapper;

import java.util.List;
import com.ruoyi.framework.aspectj.lang.annotation.DataScope;
import com.ruoyi.project.pssr.domain.TPssrMaterial;

/**
 * 原料Mapper接口
 * 
 * @author ssy
 * @date 2024-09-18
 */
public interface TPssrMaterialMapper 
{
    /**
     * 查询原料
     * 
     * @param id 原料ID
     * @return 原料
     */
    public TPssrMaterial selectTPssrMaterialById(Long id);
    public int selectNoConfirmCount(Long subId);
    public TPssrMaterial selectAllConfirmedPersonBySubId(TPssrMaterial tpssrMaterial);

    /**
     * 查询原料列表
     * 
     * @param tPssrMaterial 原料
     * @return 原料集合
     */
    
    public List<TPssrMaterial> selectTPssrMaterialList(TPssrMaterial tPssrMaterial);

    /**
     * 新增原料
     * 
     * @param tPssrMaterial 原料
     * @return 结果
     */
    public int insertTPssrMaterial(TPssrMaterial tPssrMaterial);

    /**
     * 修改原料
     * 
     * @param tPssrMaterial 原料
     * @return 结果
     */
    public int updateTPssrMaterial(TPssrMaterial tPssrMaterial);
    int updateTPssrMaterialByIds(TPssrMaterial tPssrMaterial);
    public int updateAllBySubId(TPssrMaterial tPssrMaterial);

    /**
     * 删除原料
     * 
     * @param id 原料ID
     * @return 结果
     */
    public int deleteTPssrMaterialById(Long id);

    /**
     * 批量删除原料
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteTPssrMaterialByIds(Long[] ids);
}
